Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.opengl
Class QGLFramebufferObject.Attachment

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.opengl.QGLFramebufferObject.Attachment

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGLFramebufferObject

    public static final class QGLFramebufferObject.Attachment

extends java.lang.Enum
implements QtEnumerator

This enum type is used to configure the depth and stencil buffers attached to the framebuffer object when it is created.

See also:
  `attachment()`.

See Also:
  Serialized Form

Field Summary
`static QGLFramebufferObject.Attachment` | `CombinedDepthStencil` If the `GL_EXT_packed_depth_stencil` extension is present, a combined depth and stencil buffer is attached.
`static QGLFramebufferObject.Attachment` | `Depth` A depth buffer is attached to the framebuffer object.
`static QGLFramebufferObject.Attachment` | `NoAttachment` No attachment is added to the framebuffer object.

Method Summary
`static QGLFramebufferObject.Attachment` | `resolve(int value)` Returns the QGLFramebufferObject$Attachment constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGLFramebufferObject.Attachment` | `valueOf(java.lang.String name)`
`static QGLFramebufferObject.Attachment[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoAttachment

    public static final QGLFramebufferObject.Attachment NoAttachment

  No attachment is added to the framebuffer object. Note that the OpenGL depth and stencil tests won't work when rendering to a framebuffer object without any depth or stencil buffers. This is the default value.

### CombinedDepthStencil

    public static final QGLFramebufferObject.Attachment CombinedDepthStencil

  If the `GL_EXT_packed_depth_stencil` extension is present, a combined depth and stencil buffer is attached. If the extension is not present, only a depth buffer is attached.

### Depth

    public static final QGLFramebufferObject.Attachment Depth

  A depth buffer is attached to the framebuffer object.

Method Detail

### values

    public static QGLFramebufferObject.Attachment[] values()

### valueOf

    public static QGLFramebufferObject.Attachment valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGLFramebufferObject.Attachment resolve(int value)

  Returns the QGLFramebufferObject$Attachment constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD